diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index b48d01c..5e8cd2d 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -766,6 +766,12 @@ Academic Press (1969) Mathematics in Science and Engineering Volume 53-I
 \bibitem[Luk269]{Luk269}
 Luke, Yudell L. ``The Special Functions and their Approximations'' Volume II
 Academic Press (1969) Mathematics in Science and Engineering Volume 53-II
+\bibitem[Mie97]{Mie97}
+Mielenz, Klaus D. ``Computation of Fresnel Integrals'' 
+J. Res. Natl. Inst. Stand. Technol. (NIST) V102 No3 May-June 1997 pp363-365
+\bibitem[Mie00]{Mie00}
+Mielenz, Klaus D. ``Computation of Fresnel Integrals II'' 
+J. Res. Natl. Inst. Stand. Technol. (NIST) V105 No4 July-Aug 2000 pp589-590
 \bibitem[Mul97]{Mul97}
 Thom Mulders. ``A note on subresultants and a correction to
 the lazard/rioboo/trager formula in rational function integration'' 
diff --git a/changelog b/changelog
index d113538..2659fe9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20100723 tpd src/axiom-website/patches.html 20100723.02.tpd.patch
+20100723 tpd books/bookvolbib add Mielenz [Mie97], [Mie00]
+20100723 tpd src/axiom-website/patches.html 20100723.01.tpd.patch
+20100723 tpd zips/aldor.20070901.tgz removed
 20100718 tpd src/axiom-website/patches.html 20100718.02.tpd.patch
 20100718 tpd src/axiom-website/download axiom-mandriva-may2010-bin.tgz added
 20100718 tpd Makefile add Makefile.mandriva stanza
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index fd80612..5b11605 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3002,5 +3002,7 @@ books/bookvol10.4 add fresnelC, fresnelS to DFSFUN<br/>
 Makefile add Makefile.mandriva stanza<br/>
 <a href="patches/20100723.01.tpd.patch">20100723.01.tpd.patch</a>
 zips/aldor.20070901.tgz removed<br/>
+<a href="patches/20100723.02.tpd.patch">20100723.02.tpd.patch</a>
+books/bookvolbib add Mielenz [Mie97], [Mie00]<br/>
  </body>
 </html>
